%define	pkgname	libguac-client-ssh
%define	soname	%{pkgname}0
Summary:	Guacamole client plugin supporting SSH
Name:		%{soname}
Version:	0.8.0
Release:	1.1
License:	MPLv1.1 or GPLv2 or LGPLv2.1
Group:		System Environment/Libraries
BuildRequires:	cairo-devel, libguac4-devel, libssh-devel, pango-devel
Requires:	cairo, libssh pango
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
This is a client plugin for Guacamole which supports SSH.

%package devel
Summary:        The ssh-client library (development headers)
Group:          Development/Libraries
Requires:       %{soname} = %{version}
Requires:  cairo-devel, libguac4-devel, libssh-devel, pango-devel

%description devel
The development headers associated with the ssh-client library, libguac-client-ssh.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/*.a

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sat Jun  1 2013 cs@linux-administrator.com
- initial package release 0.8.0
